client.cost.records
client.cost.records — the cost.records operations.
On AsyncKindgi every method is the same, awaited.
client.cost.records.list()
Section titled “client.cost.records.list()”list( *, limit: int | None = None, cursor: str | None = None, run_id: str | None = None, agent_id: str | None = None, conversation_id: str | None = None, category: str | None = None, provider_id: str | None = None, from_: str | None = None, to: str | None = None, scope_kind: Literal['tenant', 'org', 'project'] | None = None, scope_id: str | None = None, inherit: bool | None = None, timeout: float | None = None,) -> CostRecordCollectionPageList cost records. GET /v1/cost/records
Cursor-paginated. Filters (all AND): runId, agentId, conversationId, category, providerId, from, to. Sort order is fixed: occurredAt desc, id desc. Records represent one accounted resource event each — LLM inference, tool invocation, storage write, sandbox execution, etc.
client.cost.records.get()
Section titled “client.cost.records.get()”get(*, timeout: float | None = None) -> CostRecordFetch a cost record. GET /v1/cost/records/{recordId}